VST 3 SDK VST 3.7 SDK for developing VST plug-in

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Macros Groups Pages
Public Member Functions | Protected Attributes | List of all members
EditorView Class Reference
VST Implementation Helper Classes

View related to an edit controller. More...

`#include <vsteditcontroller.h>`

Inheritance diagram for EditorView:

## Public Member Functions
| EditorView (EditController *controller, ViewRect *size=nullptr)
| ~EditorView () override
EditController * | getController () const
| Gets its controller part.
void | attachedToParent () SMTG_OVERRIDE
void | removedFromParent () SMTG_OVERRIDE
Public Member Functions inherited from CPluginView
| CPluginView (const ViewRect *rect=nullptr)
| ~CPluginView () SMTG_OVERRIDE
const ViewRect & | getRect () const
| Returns its current frame rectangle.
void | setRect (const ViewRect &r)
| Sets a new frame rectangle.
bool | isAttached () const
| Checks if this view is attached to its parent view.
tresult | isPlatformTypeSupported (FIDString type) SMTG_OVERRIDE
tresult | attached (void *parent, FIDString type) SMTG_OVERRIDE
tresult | removed () SMTG_OVERRIDE
tresult | onWheel (float) SMTG_OVERRIDE
tresult | onKeyDown (char16, int16, int16) SMTG_OVERRIDE
tresult | onKeyUp (char16, int16, int16) SMTG_OVERRIDE
tresult | getSize (ViewRect *size) SMTG_OVERRIDE
tresult | onSize (ViewRect *newSize) SMTG_OVERRIDE
tresult | onFocus (TBool) SMTG_OVERRIDE
tresult | setFrame (IPlugFrame *frame) SMTG_OVERRIDE
tresult | canResize () SMTG_OVERRIDE
tresult | checkSizeConstraint (ViewRect *) SMTG_OVERRIDE

## Protected Attributes
IPtr< EditController > | controller

## Additional Inherited Members
Public Attributes inherited from CPluginView
OBJ_METHODS(CPluginView, FObject) DEFINE_INTERFACES DEF_INTERFACE(IPlugView) END_DEFINE_INTERFACES(FObject) REFCOUNT_METHODS(FObject) protected void * | systemWindow {nullptr}
IPtr< IPlugFrame > | plugFrame
Static Public Attributes inherited from IPlugView
static const FUID | iid

## Detailed Description

View related to an edit controller.

## Constructor & Destructor Documentation

EditorView | ( | EditController * | controller,
|  | ViewRect * | size = `nullptr`
| ) |  |

~EditorView | ( |  | ) |
| override

## Member Function Documentation

EditController* getController | ( |  | ) | const
| inline

Gets its controller part.

void attachedToParent | ( |  | ) |
| virtual

Reimplemented from CPluginView.

void removedFromParent | ( |  | ) |
| virtual

Reimplemented from CPluginView.

## Member Data Documentation

IPtr<EditController> controller
| protected

Empty

Copyright ©2024 Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.